Subject: bug#20664: 25.0.50; Customize: Link option or face name to the source definition

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Sep 2020 20:46:54 +0200

Oleh Krehel <[email-masked]> writes:

> * lisp/cus-edit.el (custom-face-value-create): Make the face name into
>   a button that calls `find-face-definition'.

[...]

> +        (setq opoint (point))
> +        ;; Face name (tag).
> +        (insert " " tag)
> +        (make-button opoint (point)
> +                     'follow-link t
> +                     'action (lambda (&rest _x) (find-face-definition symbol))))

Makes sense to me.  I tweaked it a bit before applying, though -- used
insert-text-button for convenience.

> With this patch, "RET" works as expected, while "<mouse-1>" is giving an
> error for a reason I don't understand.  In order to make it work for the
> mouse, I have to do something contorted instead of a plain
> `make-button':

I think that's just a bug in Customize -- I think I've now fixed that,
but it involved some refactoring, so hopefully I didn't break anything.
But a standard Customize buffer seems to have the same number of things
that work before/after the rework, so I'm hopeful.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no